Google Web Toolkit (Beta)
Search this site:

# i18nCreator

Generates internationalization scripts for static internationalization, along with sample properties files.

`i18nCreator [-eclipse projectName] [-out dir] [-overwrite] [-ignore] [-createMessages] interfaceName`

`-eclipse` | Creates a debug launch config for the named Eclipse project
`-out` | The directory to write output files into (defaults to current)
`-overwrite` | Overwrite any existing files
`-ignore` | Ignore any existing files; do not overwrite
`-createMessages` | Generate scripts for a Messages interface rather than a Constants one
`interfaceName` | The fully-qualified name of the interface to create

## Example

     ~/Foo> i18nCreator -eclipse Foo -createMessages com.example.foo.client.FooMessages
     Created file src/com/example/foo/client/FooMessages.properties
     Created file FooMessages-i18n.launch
     Created file FooMessages-i18n

     ~/Foo> i18nCreator -eclipse Foo com.example.foo.client.FooConstants
     Created file src/com/example/foo/client/FooConstants.properties
     Created file FooConstants-i18n.launch
     Created file FooConstants-i18n

Running `FooMessages-i18n` will generate an interface from `FooMessages.properties` that extends `Messages` (The messages will take parameters, substituting `{n}` with the nth parameter).

Running `FooConstants-i18n` will generate an interface from `FooConstants.properties` that extends `Constants` (The constants will not take parameters).

The launch configurations do the same thing as the scripts, from within Eclipse.